DROP TABLE IF EXISTS `locations`;
CREATE TABLE `locations` (
  `_id` integer NOT NULL,
  `sort_order` integer,
  `weather_provider_id` varchar(40),
  `weather_provider_type` integer(2) NOT NULL,
  `name` varchar(100),
  `area` varchar(100),
  `country` varchar(100),
  `post_code` char(128),
  `is_widget_location` integer(1) NOT NULL,
  `latitude` decimal(10) NOT NULL,
  `longitude` decimal(10) NOT NULL,
  `gmt_offset_sec` integer NOT NULL,
  `overlay_type` integer NOT NULL,
  `is_tracked_by_gps` char(128),
  `last_gps_track_time` integer NOT NULL,
  `last_gps_status` integer(128),
  `last_update_time` integer NOT NULL,
  `last_update_status` integer(1) NOT NULL,
  `last_foreca_warning_update_time` integer,
  `last_foreca_waring_status` char(1) NOT NULL,
  PRIMARY KEY (`_id`)
);


DROP TABLE IF EXISTS `weather_data`;
CREATE TABLE `weather_data` (
  `_id` integer NOT NULL AUTO_INCREMENT,
  `location_id` integer NOT NULL,
  `language_code` char(2) NOT NULL,
  `time_utc` integer NOT NULL,
  `is_daily_forecast` integer(1) NOT NULL,
  `is_daylight` integer(1) NOT NULL,
  `temp` decimal NOT NULL,
  `temp_feel_like` decimal NOT NULL,
  `temp_min` decimal NOT NULL,
  `temp_max` decimal NOT NULL,
  `weather_code` integer NOT NULL,
  `weather_text` varchar(255) NOT NULL,
  `wparam_humidity` decimal(2),
  `wparam_pressure` decimal(2),
  `wparam_precipitation` decimal(2),
  `wparap_visibility` decimal(2),
  `wparam_sunrise` integer(128),
  `wparam_sunset` integer(128),
  `wparam_moonrise` integer(128),
  `wparam_moonset` integer(128),
  `wparam_windchill` integer(128),
  `wparam_dewpoint` decimal(2),
  PRIMARY KEY (`_id`)
);

